summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-04-04 22:42:34 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-07 14:43:57 +0700
commita066da50d20a14d35f0b893facffc39065db7c57 (patch)
tree12d2a27f73362dacce0171317ab157b5d3bc9ff0 /games
parent3ad53c808eb900a5ebdc0e6be083d2dfcf85a250 (diff)
downloadslackbuilds-a066da50d20a14d35f0b893facffc39065db7c57.tar.gz
slackbuilds-a066da50d20a14d35f0b893facffc39065db7c57.tar.xz
games/3D-Fasteroids: Added (A 3D shooting game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/3D-Fasteroids/3D-Fasteroids.SlackBuild104
-rw-r--r--games/3D-Fasteroids/3D-Fasteroids.desktop10
-rw-r--r--games/3D-Fasteroids/3D-Fasteroids.info10
-rw-r--r--games/3D-Fasteroids/3d-fasteroids.pngbin0 -> 6061 bytes
-rw-r--r--games/3D-Fasteroids/README3
-rw-r--r--games/3D-Fasteroids/fasteroids.sh3
-rw-r--r--games/3D-Fasteroids/slack-desc19
7 files changed, 149 insertions, 0 deletions
diff --git a/games/3D-Fasteroids/3D-Fasteroids.SlackBuild b/games/3D-Fasteroids/3D-Fasteroids.SlackBuild
new file mode 100644
index 0000000000..6f07b8d83d
--- /dev/null
+++ b/games/3D-Fasteroids/3D-Fasteroids.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for 3D-Fasteroids
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=3D-Fasteroids
+SRCNAM=3d-fasteroids
+VERSION=${VERSION:-0.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM
+tar xvf $CWD/$SRCNAM-$VERSION-tar.gz
+cd $SRCNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+./configure
+make
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/games/$SRCNAM/models \
+ $PKG/usr/share/games/$SRCNAM/sounds \
+ $PKG/usr/share/games/$SRCNAM/textures
+
+install -m0644 models/* $PKG/usr/share/games/$SRCNAM/models/
+install -m0644 sounds/* $PKG/usr/share/games/$SRCNAM/sounds/
+install -m0644 textures/* $PKG/usr/share/games/$SRCNAM/textures/
+install -m0644 fasteroids.conf $PKG/usr/share/games/$SRCNAM
+install -m0755 fasteroids $PKG/usr/share/games/$SRCNAM/fasteroids
+install -m0755 $CWD/fasteroids.sh $PKG/usr/share/games/$SRCNAM/fasteroids.sh
+
+mkdir -p $PKG/usr/share/applications
+install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+install -D -m644 $CWD/$SRCNAM.png $PKG/usr/share/pixmaps/$SRCNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/3D-Fasteroids/3D-Fasteroids.desktop b/games/3D-Fasteroids/3D-Fasteroids.desktop
new file mode 100644
index 0000000000..db80638039
--- /dev/null
+++ b/games/3D-Fasteroids/3D-Fasteroids.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=3D-Fasteroids
+Name[he]= 3D-Fasteroids/
+Comment=Action
+Exec=/usr/share/games/3d-fasteroids/fasteroids.sh
+Icon=3d-fasteroids
+Terminal=false
+Type=Application
+Categories=Game;Action
+GenericName=Game
diff --git a/games/3D-Fasteroids/3D-Fasteroids.info b/games/3D-Fasteroids/3D-Fasteroids.info
new file mode 100644
index 0000000000..da6001417f
--- /dev/null
+++ b/games/3D-Fasteroids/3D-Fasteroids.info
@@ -0,0 +1,10 @@
+PRGNAM="3D-Fasteroids"
+VERSION="0.0.1"
+HOMEPAGE="http://sourceforge.net/projects/fasteroids/"
+DOWNLOAD="http://sourceforge.net/projects/fasteroids/files/3d-fasteroids-0.0.1-tar.gz"
+MD5SUM="2defea22a15afa2bbae5b77d6943b0f2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/games/3D-Fasteroids/3d-fasteroids.png b/games/3D-Fasteroids/3d-fasteroids.png
new file mode 100644
index 0000000000..3751064501
--- /dev/null
+++ b/games/3D-Fasteroids/3d-fasteroids.png
Binary files differ
diff --git a/games/3D-Fasteroids/README b/games/3D-Fasteroids/README
new file mode 100644
index 0000000000..a4e8232ecc
--- /dev/null
+++ b/games/3D-Fasteroids/README
@@ -0,0 +1,3 @@
+3D fasteroids is a game in which you are a captain of a starship which
+s in danger of being destroyed by many flying asteroids. The goal OF
+the game is to destroy all the asteroids before they destroy your ship.
diff --git a/games/3D-Fasteroids/fasteroids.sh b/games/3D-Fasteroids/fasteroids.sh
new file mode 100644
index 0000000000..74c6813226
--- /dev/null
+++ b/games/3D-Fasteroids/fasteroids.sh
@@ -0,0 +1,3 @@
+#!/bin/sh
+cd /usr/share/games/3d-fasteroids
+./fasteroids
diff --git a/games/3D-Fasteroids/slack-desc b/games/3D-Fasteroids/slack-desc
new file mode 100644
index 0000000000..c81e8e7b73
--- /dev/null
+++ b/games/3D-Fasteroids/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+3D-Fasteroids: 3D-Fasteroids (A 3D shooting game)
+3D-Fasteroids:
+3D-Fasteroids: 3D fasteroids is a game in which you are a captain of a starship
+3D-Fasteroids: which is in danger of being destroyed by many flying asteroids.
+3D-Fasteroids: The goal of the game is to destroy all the asteroids before they
+3D-Fasteroids: destroy your ship.
+3D-Fasteroids:
+3D-Fasteroids: Homepage: http://sourceforge.net/projects/fasteroids/
+3D-Fasteroids:
+3D-Fasteroids:
+3D-Fasteroids: